Bug 1133632 - change :: Please add %{Gprbuild_Arches}
Summary: change :: Please add %{Gprbuild_Arches}
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config
Version: 21
Hardware: arm
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: gnat-srpm-macros
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-25 15:56 UTC by Pavel Zhukov
Modified: 2014-10-29 20:50 UTC (History)
5 users (show)

Fixed In Version: redhat-rpm-config-26-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-29 04:00:12 UTC


Attachments (Terms of Use)

Description Pavel Zhukov 2014-08-25 15:56:18 UTC
Hi, 

As far as I don't have ARM machine to test changes (and this is koji specific "improvement") can you please add new variable to gnat rpm macros: 
GPRBuild_Arches should contain all GNAT arches except %{arm}

I'll try to workaround this later (may be). 

--
Pavel

Comment 1 Björn Persson 2014-08-27 21:04:56 UTC
(In reply to Pavel Zhukov from comment #0)
> As far as I don't have ARM machine to test changes (and this is koji
> specific "improvement") can you please add new variable to gnat rpm macros: 
> GPRBuild_Arches should contain all GNAT arches except %{arm}

I assume that you want to use this in ExclusiveArch. Then adding it to fedora-gnat-project-common wouldn't work. It would have to be included in redhat-rpm-config with the other *_arches macros (or in some package that redhat-rpm-config would depend on) to be present when Koji reads the spec.

Relevant references for those who aren't already aware of the problem:
https://lists.fedoraproject.org/pipermail/devel/2014-June/200040.html
https://lists.fedoraproject.org/pipermail/ada/2014/000029.html

Comment 2 Panu Matilainen 2014-08-29 08:06:41 UTC
I think everybody would be happier if we move the macros to some suitable package under GNAT folks maintainership and have redhat-rpm-config depend on that. OCaml received a similar treatment recently, see bug #1087794.

Comment 3 Björn Persson 2014-08-30 23:02:32 UTC
I agree that that would be better. To continue the existing name pattern the package should be named gnat-srpm-macros. I guess it should be a separate source package to have absolutely minimal dependencies. fedora-gnat-project-common has very few dependencies already, but it does use Sed in its configuration phase.

I will make such a package unless Pavel beats me to it.

Comment 4 Pavel Zhukov 2014-09-05 12:54:59 UTC
Pavel'd  very appreciate this! :)

Thank you in advance Björn!

Comment 5 Björn Persson 2014-09-14 14:55:54 UTC
Review request submitted.

Panu, can we get this into Fedora 21? Perhaps coordinated with redhat-rpm-config in a single Bodhi update?

Comment 6 Björn Persson 2014-09-20 14:21:21 UTC
gnat-srpm-macros-1-1.fc21 has been built and is ready to be submitted to Bodhi. Is redhat-rpm-config ready?

Comment 7 Panu Matilainen 2014-09-22 08:26:32 UTC
Um, rawhide needs to be done first, after that we can consider f21.

Comment 8 Panu Matilainen 2014-09-22 09:37:48 UTC
Okay, built for both rawhide and f21 now, here's the f21 build:
http://koji.fedoraproject.org/koji/buildinfo?buildID=579760

Comment 9 Björn Persson 2014-09-23 21:26:55 UTC
Apparently I'm not allowed to submit both packages as a single update, so I'm submitting gnat-srpm-macros to testing now. There will be a file conflict until redhat-rpm-config follows, but it won't break anyone's system.

Comment 10 Fedora Update System 2014-09-23 21:27:37 UTC
gnat-srpm-macros-1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gnat-srpm-macros-1-1.fc21

Comment 11 Fedora Update System 2014-09-24 04:29:46 UTC
redhat-rpm-config-26-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/redhat-rpm-config-26-1.fc21

Comment 12 Fedora Update System 2014-09-24 18:27:41 UTC
Package redhat-rpm-config-26-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing redhat-rpm-config-26-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-11327/redhat-rpm-config-26-1.fc21
then log in and leave karma (feedback).

Comment 13 Fedora Update System 2014-09-29 04:00:12 UTC
redhat-rpm-config-26-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2014-09-30 01:58:32 UTC
gnat-srpm-macros-1-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 15 Vít Ondruch 2014-10-29 19:45:48 UTC
Why does redhat-rpm-config depends on these macros?? What is the point? Why should I need these macros on my system by default? Can somebody enlighten me please?

Comment 16 Vít Ondruch 2014-10-29 20:50:06 UTC
To answer my question, it is just dependency for packaging tools and I have some packaging tools on my system. Sorry for the noise ...


Note You need to log in before you can comment on or make changes to this bug.